<?php

/* 
Horizon 2.0 theme for PHP-Fusion v7.00+
Author: Craig Dewar (Fangree_Craig)
Site: http://www.fangree.co.uk/
Released under the Affero GPLv3
*/ 

if (!defined("IN_FUSION")) { die("Access Denied"); }

// theme settings
define("THEME_BULLET", "<img src='".THEME."images/bullet.gif' alt='' style='border:0' />");
require_once INCLUDES."theme_functions_include.php";



function render_page($license=false) {

global $theme_width,$settings;

echo "
  <table align='center' cellspacing='0' cellpadding='0' class='outer-border' id='main'>
    <tr>
      <td>
        <table cellpadding='0' cellspacing='0' width='100%'>
          <tr>
            <td class='full-header'>
              <table cellpadding='0' cellspacing='0' width='100%'>
                <tr>
                  <td>".showbanners()."</td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
        <table cellpadding='0' cellspacing='0' width='100%'>
		  <tr>
            <td class='sub-header'>".showsublinks(" <span class='bullet'>&middot;</span> ", "white")."</td>
            <td align='right' class='sub-header'><b><font color='yellow'>Dneska je event typu:</b></font> <font color='red'>-žiadny-</font></td>
          </tr>
        </table>\n";

echo "
        <table cellpadding='0' cellspacing='0' width='100%'>
		  <tr>\n";
		    if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>"; }
            echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
            if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>"; }
echo "
          </tr>
		</table>
        <table cellpadding='0' cellspacing='0' width='100%'>
          <tr>
            <td align='right' class='footer'>".stripslashes($settings['footer'])."<br />\n";
			  
		
              if (!$license)  echo showcounter()."
	 


            </td>
          </tr>
        </table>
      </td>
    </tr>
</table>\n";

}

function render_news($subject, $news, $info) {

echo "<table cellpadding='0' cellspacing='0' width='100%' class='border tablebreak'>
<tr>
<td class='capmain'>$subject</td>
</tr>
<tr>
<td class='main-body'>$news</td>
</tr>
<tr>
<td align='center' class='news-footer'>\n";
echo newsposter($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
echo "</td>
</tr>
</table>\n";

}

function render_article($subject, $article, $info) {
	
echo "<table width='100%' cellpadding='0' cellspacing='0' class='border'>
<tr>
<td class='capmain'>$subject</td>
</tr>
<tr>
<td class='main-body'>
".($info['article_breaks'] == "y" ? nl2br($article) : $article)."
</td>
</tr>
<tr>
<td align='center' class='news-footer'>\n";
echo articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
echo "</td>
</tr>
</table>\n";

}

function opentable($title) {

echo "<table cellpadding='0' cellspacing='0' width='100%' class='border tablebreak'>
<tr>
<td class='capmain'>$title</td>
</tr>
<tr>
<td class='main-body'>\n";

}

function closetable() {

echo "</td>
</tr>
</table>\n";

}

function openside($title, $collapse = false, $state = "on") {

global $panel_collapse; $panel_collapse = $collapse;
$boxname = str_replace(" ", "", $title);

echo "
<table cellpadding='0' cellspacing='0' width='100%' class='border tablebreak'>
  <tr>
    <td class='scapmain'>$title</td>
    ".($collapse ? "<td class='scapmain' align='right'>".panelbutton($state, $boxname)."</td>" : "")."
  </tr>
  <tr>
    <td colspan='2' class='side-body'>";
    if ($collapse == true) { echo panelstate($state, $boxname); }
}

function closeside() {

global $panel_collapse;

if ($panel_collapse == true) { echo "</div>\n"; }

echo "</td>
</tr>
</table>\n";

}

?>